Subject: [RFC DTC PATCH] dtc: add symlink (-L) output to dtbs

From: [email-masked] (Stephen Warren)
Date: Thu, 14 Nov 2013 14:37:48 -0700

On 11/14/2013 12:16 PM, Jason Gunthorpe wrote:
> On Thu, Nov 14, 2013 at 12:00:24PM -0700, Stephen Warren wrote:
> 
>> I don't think a distro should need to know the DTB filename at all.
>> Rather, the/a bootloader should know which platform it's running on, and
>> provide a variable/... to the boot script/... that defines the DTB
>> filename. That would completely remove all the knowledge of DTB
>> filenames from distros.
> 
> At some point the distro has to install a dtb into some cannonical
> place so the bootloader can find it..
> 
> Are you thinking that distros will have to ship a /boot/dtbs/*.dtb
> with every dtb from the kernel build?

Yes. How else would the distro support booting the install on arbitrary
boards?

> What happens when you install two different versions of the kernel?

/boot/zImage-$version
/boot/dtbs-$version/*.dtb

> What about boot schemes that can load a kernel version dependent dtb?

I think that's solved by installing the DTB files in a
kernel-version-specific directory.